> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Desasociar el padre de una empresa



## OpenAPI

````yaml /generated/specs/clients.json delete /api/v1/client/{childId}/parent
openapi: 3.0.0
info:
  title: Raul API - Clientes
  description: Clientes, clientes padre, direcciones, contactos y activos asociados.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Clients
    description: Gestion de clientes
paths:
  /api/v1/client/{childId}/parent:
    delete:
      tags:
        - Clients
      summary: Desasociar el padre de una empresa
      operationId: ClientHierarchyController_removeParent
      parameters:
        - name: childId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientHierarchyNodeDto'
      security:
        - bearerAuth: []
components:
  schemas:
    ClientHierarchyNodeDto:
      type: object
      properties:
        clientId:
          type: string
          format: uuid
        clientName:
          type: object
          nullable: true
        rut:
          type: object
          nullable: true
        parentClientId:
          type: object
          format: uuid
          nullable: true
        childrenCount:
          type: number
        hasParent:
          type: boolean
        hasChildren:
          type: boolean
      required:
        - clientId
        - childrenCount
        - hasParent
        - hasChildren
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.